Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.mbeans
Interface RoleSecurityProviderMBean

All Superinterfaces:
  ConfigurationMBean, javax.management.DynamicMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, com.bea.p13n.security.internal.RoleSecurityProviderConfig, ServiceConfigurationMBean, WebLogicMBean

public interface RoleSecurityProviderMBean
extends ServiceConfigurationMBean, com.bea.p13n.security.internal.RoleSecurityProviderConfig

Configuration for Portal authentication providers. Note that none of the parameters for the are dynamic; they all require the user to restart the server if changed.

Field Summary

Fields inherited from interface weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID`

Fields inherited from interface com.bea.p13n.security.internal.RoleSecurityProviderConfig
`DEFAULT_ROLE_PREDICATE_INPUT_TEXT_ENABLED`

Method Summary
`boolean` | `getRolePredicateTextInputEnabled()` An indication of whether any/all Delegated Admins should be allowed to add role name predicates to security policies by typing their names into a text box.
`void` | `setRolePredicateTextInputEnabled(boolean enabled)`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getAttributeStringValue, getComments, getNotes, getSetFields, getXmlConverter, isDefaultedMBean, isPersistenceEnabled, preDeregister, registerConfigMBean, restoreDefaultValue, setComments, setDefaultedMBean, setNotes, setPersistenceEnabled, touch, unRegisterConfigMBean`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getRolePredicateTextInputEnabled

    public boolean getRolePredicateTextInputEnabled()

  An indication of whether any/all Delegated Admins should be allowed to add role name predicates to security policies by typing their names into a text box. By enabling text box entry, you override the requirement that SSPI providers must implement reader interfaces.

  Specified by:
    `getRolePredicateTextInputEnabled` in interface `com.bea.p13n.security.internal.RoleSecurityProviderConfig`

### setRolePredicateTextInputEnabled

    public void setRolePredicateTextInputEnabled(boolean enabled)

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved